Skip to main content
POST
/
api
/
webhookSubscriptions.regenerateSecret
Regenerate webhook secret
curl --request POST \
  --url https://{notifuseDomain}/api/webhookSubscriptions.regenerateSecret \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "workspace_id": "ws_1234567890",
  "id": "whsub_a1b2c3d4e5f6"
}
'
{ "subscription": { "id": "whsub_a1b2c3d4e5f6", "name": "Production Webhook", "url": "https://api.example.com/webhooks/notifuse", "secret": "whsec_a1b2c3d4e5f6g7h8i9j0", "settings": { "event_types": [ "contact.created", "contact.updated", "email.sent" ], "custom_event_filters": { "goal_types": [ "purchase", "subscription" ], "event_names": [ "orders/fulfilled", "payment.succeeded" ] } }, "event_types": [ "contact.created", "contact.updated", "email.sent" ], "custom_event_filters": { "goal_types": [ "purchase", "subscription" ], "event_names": [ "orders/fulfilled", "payment.succeeded" ] }, "enabled": true, "last_delivery_at": "2024-01-15T10:30:00Z", "created_at": "2024-01-01T00:00:00Z", "updated_at": "2024-01-15T10:30:00Z" } }

Documentation Index

Fetch the complete documentation index at: https://docs.notifuse.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API token for authentication

Body

application/json
workspace_id
string
required

The ID of the workspace

Example:

"ws_1234567890"

id
string
required

The ID of the subscription

Example:

"whsub_a1b2c3d4e5f6"

Response

Webhook secret regenerated successfully

subscription
object

A webhook subscription that receives HTTP callbacks when events occur